curl --request POST \
--url https://sandbox.tight.com/v6/payroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccountId": "gla_38560327",
"amount": 500000,
"reconciliationMatchId": "btxn_158998869"
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"amount": 123,
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 500000,
"reconciliationMatch": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>"
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Save new (or update existing) payroll
curl --request POST \
--url https://sandbox.tight.com/v6/payroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccountId": "gla_38560327",
"amount": 500000,
"reconciliationMatchId": "btxn_158998869"
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"amount": 123,
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 500000,
"reconciliationMatch": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>"
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Show child attributes